"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CtorEnsureException = void 0;
var tslib_1 = require("tslib");
var ctor_ensure_decorator_1 = require("./ctor-ensure.decorator");
var CtorEnsureException = /** @class */ (function (_super) {
    (0, tslib_1.__extends)(CtorEnsureException, _super);
    function CtorEnsureException(clazz, errors) {
        var _this = _super.call(this, CtorEnsureException.message) || this;
        _this.clazz = clazz;
        _this.errors = errors;
        Object.setPrototypeOf(_this, CtorEnsureException.prototype);
        _this.displayName = Reflect.getOwnMetadata(ctor_ensure_decorator_1.META_KEY_DISPLAYNAME, _this.clazz);
        return _this;
    }
    CtorEnsureException.message = 'Could not validate constructor call!';
    return CtorEnsureException;
}(Error));
exports.CtorEnsureException = CtorEnsureException;
//# sourceMappingURL=ctor-ensure.exception.js.map