"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a boolean value
 */
var ENSURE_BOOLEAN = function () { return ({
    description: (0, description_template_factory_1.template)('ENSURE_BOOLEAN'),
    process: function (value) { return ({
        error: typeof value !== 'boolean',
        value: value,
    }); },
}); };
exports.default = ENSURE_BOOLEAN;
//# sourceMappingURL=boolean.validation-ensure.js.map