import { ValidationConfig } from '../../validation-config.interface';
/**
 * Check if the provided value is a valid float
 * @param value Value to check
 * @returns True if is a float, false otherwise
 */
export declare const isFloat: (value: any) => boolean;
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a number of type float
 */
export declare const ENSURE_FLOAT: () => ValidationConfig;
//# sourceMappingURL=float.validation-ensure.d.ts.map