import { ValidationConfig } from '../../validation-config.interface';
/**
 * Check if the provided value is a valid integer
 * @param value Value to check
 * @returns True if is an integer, false otherwise
 */
export declare const isInt: (value: any) => boolean;
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a number of type integer
 */
export declare const ENSURE_INT: () => ValidationConfig;
//# sourceMappingURL=int.validation-ensure.d.ts.map