"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is not of null value
 */
var ENSURE_NONNULL = function () { return ({
    description: (0, description_template_factory_1.template)('ENSURE_NONNULL'),
    process: function (value) { return ({
        error: !(value !== null && value !== undefined),
        value: value,
    }); },
}); };
exports.default = ENSURE_NONNULL;
//# sourceMappingURL=nonnull.validation-ensure.js.map