import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field's content matches with all other provided fields
 * @param positive Whether or not it should match or mismatch (allow-/block)
 * @param fieldName Names of partner fields, need to be registered {@link ValidatedArg}
 */
declare const ENSURE_EQUALSFIELD: (positive: boolean, ...fieldNames: string[]) => ValidationConfig;
export default ENSURE_EQUALSFIELD;
//# sourceMappingURL=equalsfield.validation-ensure.d.ts.map