"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var arraysize_validation_ensure_1 = (0, tslib_1.__importDefault)(require("./arraysize.validation-ensure"));
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field has a max length, if it's an array, ignore otherwise
 * @param max Maximum amount of elements inside array
 */
var ENSURE_ARRAYSIZEMAX = function (max) { return (0, arraysize_validation_ensure_1.default)(-1, max); };
exports.default = ENSURE_ARRAYSIZEMAX;
//# sourceMappingURL=arraysizemax.validation-ensure.js.map