"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var minmaxdate_validation_ensure_1 = (0, tslib_1.__importDefault)(require("./minmaxdate.validation-ensure"));
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Constrain the maximum date of a field
 * @param max Maximum date
 */
var ENSURE_MAXDATE = function (max) { return (0, minmaxdate_validation_ensure_1.default)(null, max); };
exports.default = ENSURE_MAXDATE;
//# sourceMappingURL=maxdate.validation-ensure.js.map