import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is only containing ascii characters
 * @param justPrintable Whether or not to just allow visible characters
 * @param allowSpaces Whether or not to allow spaces
 */
declare const ENSURE_ASCII: (justPrintable?: boolean, allowSpaces?: boolean) => ValidationConfig;
export default ENSURE_ASCII;
//# sourceMappingURL=ascii.validation-ensure.d.ts.map