import { ValidationConfig } from '../../validation-config.interface';
export declare enum Encoding {
    BASE32 = 1,
    BASE58 = 2,
    BASE64 = 3
}
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is only containing base X encoded data
 * @param encoding Encoding base to be allowed
 */
export declare const ENSURE_BASEENCODED: (encoding: Encoding) => ValidationConfig;
//# sourceMappingURL=baseencoded.validation-ensure.d.ts.map