import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field contains the provided string
 * @param string String that has to be contained inside field
 * @param allow True if the string should contain, false if it shouldn't
 */
declare const ENSURE_CONTAINS: (string: string, allow?: boolean) => ValidationConfig;
export default ENSURE_CONTAINS;
//# sourceMappingURL=contains.validation-ensure.d.ts.map