import Optionality from './optionality.enum';
import { ValidationConfig } from './validation-config.interface';
/**
 * Control for {@link ValidatedArg} decorator, validating properties
 */
export interface ValidationControl {
    displayName: string;
    ctorInd: number;
    configs: ValidationConfig[];
    optional: Optionality;
    skipOn?: (values: {
        [key: string]: any;
    }) => boolean;
}
//# sourceMappingURL=validation-control.interface.d.ts.map