/**
 * Configuration to be used with the {@link CtorEnsure} decorator
 */
interface CtorEnsureConfig {
    displayname: string;
    multipleErrorsPerField?: boolean;
    inheritValidation?: boolean;
    blockInheritanceForFields?: string[];
    skipOn?: (values: {
        [key: string]: any;
    }) => boolean;
    skipOnSkipsInherited?: boolean;
}
export default CtorEnsureConfig;
//# sourceMappingURL=ctor-ensure-config.interface.d.ts.map