"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field has a defined value
 */
var ENSURE_EXISTING = function () { return ({
    description: (0, description_template_factory_1.template)('ENSURE_EXISTING'),
    process: function (value) { return ({
        error: value === undefined,
        value: value,
    }); },
}); };
exports.default = ENSURE_EXISTING;
//# sourceMappingURL=existing.validation-ensure.js.map