import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is an array of values
 * @param positive True if should be an array, false otherwise
 * @param unique Whether or not the array values have to be unique
 * @param ignoreCase Whether or not to ignore casing on compare
 */
declare const ENSURE_ISARRAY: (positive?: boolean, unique?: boolean, ignoreCase?: boolean) => ValidationConfig;
export default ENSURE_ISARRAY;
//# sourceMappingURL=isarray.validation-ensure.d.ts.map