"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a valid JS date object
 */
var ENSURE_ISDATE = function () { return ({
    description: (0, description_template_factory_1.template)('ENSURE_ISDATE'),
    process: function (value) { return ({
        error: !(value instanceof Date && !Number.isNaN(value.getTime())),
        value: value,
    }); },
}); };
exports.default = ENSURE_ISDATE;
//# sourceMappingURL=isdate.validation-ensure.js.map