import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field has a min and max length, if it's an array, ignore otherwise
 * @param min Mininum amount of elements inside array
 * @param max Maximum amount of elements inside array
 */
declare const ENSURE_ARRAYSIZE: (min: number, max: number) => ValidationConfig;
export default ENSURE_ARRAYSIZE;
//# sourceMappingURL=arraysize.validation-ensure.d.ts.map