"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var arraysize_validation_ensure_1 = (0, tslib_1.__importDefault)(require("./arraysize.validation-ensure"));
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field has a min length, if it's an array, ignore otherwise
 * @param min Mininum amount of elements inside array
 */
var ENSURE_ARRAYSIZEMIN = function (min) { return (0, arraysize_validation_ensure_1.default)(min, -1); };
exports.default = ENSURE_ARRAYSIZEMIN;
//# sourceMappingURL=arraysizemin.validation-ensure.js.map