"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var minmaxlen_validation_ensure_1 = (0, tslib_1.__importDefault)(require("./minmaxlen.validation-ensure"));
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Constrain the maximum length of a string
 * @param max Maximum length
 */
var ENSURE_MAXLEN = function (max) { return (0, minmaxlen_validation_ensure_1.default)(-1, max); };
exports.default = ENSURE_MAXLEN;
//# sourceMappingURL=maxlen.validation-ensure.js.map