"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var minmaxlen_validation_ensure_1 = (0, tslib_1.__importDefault)(require("./minmaxlen.validation-ensure"));
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Constrain the minimum length of a string
 * @param min Minimum length
 */
var ENSURE_MINLEN = function (min) { return (0, minmaxlen_validation_ensure_1.default)(min, -1); };
exports.default = ENSURE_MINLEN;
//# sourceMappingURL=minlen.validation-ensure.js.map