import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field's date value is within a specified range
 * @param min Mininum date (including)
 * @param max Maximum date (including)
 */
declare const ENSURE_MINMAXDATE: (min: Date | null, max: Date | null) => ValidationConfig;
export default ENSURE_MINMAXDATE;
//# sourceMappingURL=minmaxdate.validation-ensure.d.ts.map