import { ValidationConfig } from '../../validation-config.interface';
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this number is within a specified range, if it's a number
 * @param min Mininum value (including)
 * @param max Maximum value (including)
 */
declare const ENSURE_MINMAXNUMBER: (min: number | null, max: number | null) => ValidationConfig;
export default ENSURE_MINMAXNUMBER;
//# sourceMappingURL=minmaxnumber.validation-ensure.d.ts.map