"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Signals the state of optionality of a validated argument
 */
var Optionality;
(function (Optionality) {
    // Needs to have a defined, non-null value
    Optionality[Optionality["REQUIRED"] = 1] = "REQUIRED";
    // Can be omitted, thus undefined
    Optionality[Optionality["OMITTABLE"] = 2] = "OMITTABLE";
    // Can be null
    Optionality[Optionality["NULLABLE"] = 3] = "NULLABLE";
    // Can be undefined, null, or an actual value
    Optionality[Optionality["IRRELEVANT"] = 4] = "IRRELEVANT";
})(Optionality || (Optionality = {}));
exports.default = Optionality;
//# sourceMappingURL=optionality.enum.js.map