import Optionality from './optionality.enum';
import { ValidationConfig } from './validation-config.interface';
/**
 * Apply one or more validations to a constructor property
 * @param displayName Name of the field to validate
 * @param config Validation config
 * @param optional Whether or not this field is optional
 */
declare const ValidatedArg: (displayName: string, config: ValidationConfig | ValidationConfig[], optional?: Optionality, skipOn?: ((values: {
    [key: string]: any;
}) => boolean) | undefined) => ParameterDecorator;
export default ValidatedArg;
//# sourceMappingURL=validated-arg.decorator.d.ts.map